Trapcode Form

System Requirements

Our tests have shown that our products perform best when used with the system configurations listed below. Although many of our products will run on older or less-powerful systems, those listed below are the minimum system requirements which we support for Trapcode Form 3.

Macintosh
Mac OS 10.10 or higher
After Effects CC 2014-CC 2017


Windows
Windows 7, 8, 10 (64-bit only)
After Effects CC 2014-CC2017